## org.undp.weblog.ui
Class WebLogView

    java.lang.Object
      com.arsdigita.bebop.Completable
          com.arsdigita.bebop.SimpleComponent
              com.arsdigita.bebop.TextStylable
                  com.arsdigita.bebop.BlockStylable
                      com.arsdigita.bebop.SimpleContainer
                          com.arsdigita.bebop.ModalContainer
                              org.undp.weblog.ui.WebLogView

All Implemented Interfaces:
  Cloneable, com.arsdigita.bebop.Component, com.arsdigita.bebop.Container, com.arsdigita.util.Lockable, com.arsdigita.bebop.Resettable, WebLogConstants

public class WebLogView
extends com.arsdigita.bebop.ModalContainer
implements WebLogConstants

Author:
  Peter Kopunec

Field Summary

Fields inherited from class com.arsdigita.bebop.ModalContainer
`versionId`

Fields inherited from class com.arsdigita.bebop.BlockStylable
`ABSBOTTOM, ABSMIDDLE, BASELINE, BOTTOM, CENTER, FULL_WIDTH, INSERT, LEFT, MIDDLE, RIGHT, TEXTTOP, TOP`

Fields inherited from class com.arsdigita.bebop.SimpleComponent
`m_attr`

Fields inherited from interface org.undp.weblog.WebLogConstants
`dateTimeFormat, PARAM_WEBLOG_DETAIL_ID`

Fields inherited from interface com.arsdigita.bebop.Component
`BEBOP_XML_NS, CLASS, ID, ON_CLICK, STYLE`

Constructor Summary
`WebLogView(com.arsdigita.bebop.parameters.BigDecimalParameter entityIDparam, com.arsdigita.bebop.parameters.BigDecimalParameter parentIDparam)`

Method Summary
`protected boolean` `canUserAdminApplication()`
`protected boolean` `canUserEditApplication()`
`void` `displayWebLogCommentCreateForm(com.arsdigita.bebop.PageState ps)`
`void` `displayWebLogCommentEditForm(com.arsdigita.bebop.PageState ps)`
`void` `displayWebLogCreateForm(com.arsdigita.bebop.PageState ps)`
`void` `displayWebLogDetail(com.arsdigita.bebop.PageState ps)`
`void` `displayWebLogEditForm(com.arsdigita.bebop.PageState ps)`
`void` `displayWebLogEditForm(com.arsdigita.bebop.PageState ps, boolean backToDetail)`
`void` `displayWebLogsList(com.arsdigita.bebop.PageState ps)`
`void` `generateXML(com.arsdigita.bebop.PageState ps, com.arsdigita.xml.Element p)`
`protected BigDecimal` `getEntityID(com.arsdigita.bebop.PageState ps)`
`protected com.arsdigita.bebop.parameters.BigDecimalParameter` `getEntityIDParam()`
`protected BigDecimal` `getParentID(com.arsdigita.bebop.PageState ps)`
`protected com.arsdigita.bebop.parameters.BigDecimalParameter` `getParentIDParam()`
`protected void` `setEntityID(com.arsdigita.bebop.PageState ps, BigDecimal id)`
`protected void` `setParentID(com.arsdigita.bebop.PageState ps, BigDecimal id)`

Methods inherited from class com.arsdigita.bebop.ModalContainer
`addModeChangeListener, getDefaultComponent, getVisibleComponent, next, previous, register, reset, setDefaultComponent, setVisibleComponent`

Methods inherited from class com.arsdigita.bebop.SimpleContainer
`add, add, children, contains, generateChildrenXML, generateParent, get, getNamespace, getTag, indexOf, isEmpty, setNamespace, setTag, size`

Methods inherited from class com.arsdigita.bebop.BlockStylable
`setBorder, setBorder, setBorderColor, setHorizontalAlignment, setMargin, setMargin, setPadding, setPadding, setVerticalAlignment`

Methods inherited from class com.arsdigita.bebop.TextStylable
`setBackgroundColor, setColor`

Methods inherited from class com.arsdigita.bebop.SimpleComponent
`clone, exportAttributes, getAttribute, getClassAttr, getIdAttr, getKey, getMetaDataAttribute, getStyleAttr, hasAttributes, isLocked, isVisible, lock, register, respond, setAttribute, setClassAttr, setIdAttr, setKey, setMetaDataAttribute, setStyleAttr, setVisible`

Methods inherited from class com.arsdigita.bebop.Completable
`addCompletionListener, fireCompletionEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.arsdigita.bebop.Component
`getClassAttr, getIdAttr, getKey, getStyleAttr, isVisible, register, respond, setClassAttr, setIdAttr, setKey, setStyleAttr, setVisible`

Methods inherited from interface com.arsdigita.util.Lockable
`isLocked, lock`

Constructor Detail

### WebLogView

    public WebLogView(com.arsdigita.bebop.parameters.BigDecimalParameter entityIDparam,
                      com.arsdigita.bebop.parameters.BigDecimalParameter parentIDparam)

Method Detail

### displayWebLogsList

    public void displayWebLogsList(com.arsdigita.bebop.PageState ps)

### displayWebLogDetail

    public void displayWebLogDetail(com.arsdigita.bebop.PageState ps)

### displayWebLogCreateForm

    public void displayWebLogCreateForm(com.arsdigita.bebop.PageState ps)

### displayWebLogEditForm

    public void displayWebLogEditForm(com.arsdigita.bebop.PageState ps)

### displayWebLogEditForm

    public void displayWebLogEditForm(com.arsdigita.bebop.PageState ps,
                                      boolean backToDetail)

### displayWebLogCommentCreateForm

    public void displayWebLogCommentCreateForm(com.arsdigita.bebop.PageState ps)

### displayWebLogCommentEditForm

    public void displayWebLogCommentEditForm(com.arsdigita.bebop.PageState ps)

### generateXML

    public void generateXML(com.arsdigita.bebop.PageState ps,
                            com.arsdigita.xml.Element p)

  Specified by:
    `generateXML` in interface `com.arsdigita.bebop.Component`

### getEntityID

    protected BigDecimal getEntityID(com.arsdigita.bebop.PageState ps)

### setEntityID

    protected void setEntityID(com.arsdigita.bebop.PageState ps,
                               BigDecimal id)

### getParentID

    protected BigDecimal getParentID(com.arsdigita.bebop.PageState ps)

### setParentID

    protected void setParentID(com.arsdigita.bebop.PageState ps,
                               BigDecimal id)

### getEntityIDParam

    protected com.arsdigita.bebop.parameters.BigDecimalParameter getEntityIDParam()

### getParentIDParam

    protected com.arsdigita.bebop.parameters.BigDecimalParameter getParentIDParam()

### canUserAdminApplication

    protected boolean canUserAdminApplication()

### canUserEditApplication

    protected boolean canUserEditApplication()

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1153 UTC